<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/admin/partials
 */

global $available_pages;
$page = $this->id . "_settings";
$api_key = get_option("estatebud_api_key", null);
if(isset($_GET["tab"]) && $_GET["tab"] == "api-settings" && isset($_POST["estatebud_api_key"])){
    $api_key = sanitize_text_field($_POST["estatebud_api_key"]);
}
$estatebud_api = new EstatebudAPI($api_key, get_locale());
?>

<!-- Create a header in the default WordPress 'wrap' container -->
<div class="wrap">
    <div id="icon-themes" class="icon32"></div>
    <h2><img src="<?php echo plugin_dir_url( __FILE__ ) . '../assets/logo.svg'?>" class="estatebud-admin-logo"></h2>
    <?php if(!$estatebud_api->is_valid){ ?>
        <div class="notice error is-dismissible" >
        <p><?php _e( '<b>Your Estatebud API key is not set!</b> To use the Estatebud Plugin, you must set an API key. Click <a href="'.admin_url("admin.php?page=estatebud_settings&tab=api-settings").'">here</a> to set an API key.', $this->id ); ?></p>
        </div>
    <?php } ?>
    <?php
        $active_tab = !isset($_GET["tab"]) ? "welcome" : $_GET["tab"];
        if(!in_array($active_tab, array_column($available_pages, "slug"))){
            $active_tab = "welcome";
        }
    ?>
    <h2 class="nav-tab-wrapper">
    <?php foreach($available_pages as $available_page): ?>
        <a href="?page=<?php echo $page;?>&tab=<?php echo $available_page["slug"];?>" class="nav-tab <?php echo $active_tab == $available_page["slug"] ? 'nav-tab-active' : ''; ?> <?php echo $available_page["extra_classes"]; ?>">
            <i class='estatebud-admin-menu-icon <?php echo $available_page["icon"];?>'></i>
            <?php _e( $available_page["title"], $this->id ); ?>
        </a>
    <?php endforeach; ?>
    </h2>
    <div class="estatebud-form-container">
        <?php require_once dirname(__FILE__) . "/estatebud-$active_tab-display.php"; ?>
    </div>
</div><!-- /.wrap -->