<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/admin/partials
 */
?>

<h1>Estatebud - Properties & Listings</h1>
<p>This plugin is a listing plugin that shows the listed estates and the filter form on your WordPress based website. It uses shortcodes to create the related pages.</p>

<h2>What is a WordPress Shortcode?</h2>
<p>Briefly, a shortcode is a special tag that you can enter into a post that gets replaced with different content when actually viewing the post on the website. If you have ever embedded a WordPress gallery on your blog, then you’ve already seen the built in short code.</p>
<img style='border: 1px solid gray' src='<?php echo plugin_dir_url(__FILE__) . "../assets/shortcode.png";?>'>
<h2>How can I create my property listing and details page?</h2>
<ol>
<li>First, you need to create a shortcode from "Shortcodes" tab on this page to generate a listing page. This will not be seen by the users.</li>
<li>After you’ve created a shortcode, create a page containing that shortcode.</li>
<li>For the details page, create another page and insert <code>[estatebud_detail]</code> as the content. Choose this page name wisely, because every detail page will open with that slug. For example, if you've given <b>property</b> as the page name, the details will open like this: <code>http://example.com/property/1064</code></li>
<li>Then navigate to the "plugin settings" tab on this page, and select the page you’ve created for the details on the select box.</li>
<li>Your listing and details pages are ready. Go to your listings page and surf.</li>
</ol>

<h2>Help &amp; Support</h2>
<p>If you need any help installing or configuring our plugin, please login to the <a href="https://c.estatebud.com/" target="_blank">Estatebud Dashboard</a> for assistance.</p>