<?php

if (!isset($_GET["tab"]) || $_GET["tab"] != "widgets" || !isset($estatebud_api)) return;

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/admin/partials
 */

if ($api_key == false) {
    echo __("You need to get an API Key from Estatebud before you use this feature.", "estatebud");
} else {
    if ($estatebud_api->is_valid == false) {
        echo __("Your API key seems to be invalid. Please check and request a new key if required.", "estatebud");
    } else {
        ?>
<h3><?php _e("Generate Search Box Widgets for display in Pages/Posts", "estatebud");?></h3>
<p><?php _e("A widget is a WordPress-specific code that lets you do nifty things with very little effort. Widgets can embed files or create objects that would normally require lots of complicated, ugly code in just one line. Widget = shortcut.", "estatebud");?></p>
<p><?php _e("We are using this shortcut to create predefined queries to show in your pages, for example, you can create a page which contains <b>a list with all properties for short time rent and located in Paralimni and available from a month later from now.</b> You can add more detailed pages by creating more widgets with different filters.", "estatebud");?></p>

<a onclick="estatebud.show_widget_form(this);" href="#TB_inline&width=800&height=650&inlineId=estatebud-widget-form" name="Add New Widget" id="add_new_widget"><button class="button button-primary">Add New Widget</button></a>

<h2><?php _e("Previously Saved Search Boxes", "estatebud");?></h2>
<form method="post">
    <div class="estatebud-widgets">
        <?php require_once dirname(__FILE__) . "/estatebud-widgets-list.php";
        $widgets = new Estatebud_Widgets_List();
        $widgets->prepare_items();
        $widgets->display(); ?>
    </div>
</form>
<?php require_once dirname(__FILE__) . "/estatebud-widgets-form.php";
}
} ?>