<?php require_once "estatebud-public-details-functions.php"; ?>
<div id="estatebud-property-details" class="estatebud-property-details-type-2">
    <?php if (property_exists($details, "images") && count($details->images) > 0) : ?>
    <div class="estatebud-slider-container">
        <ul id="estatebud-slider-full">
            <?php foreach ($details->images as $image) : ?>
            <li>
                <a class='estatebud-fancybox' data-fancybox="gallery-1" href="<?php echo $image->large; ?>"><img src="<?php echo $image->large; ?>"></a>
            </li>
            <?php endforeach; ?>
        </ul>
        <i class="fa fa-expand"></i>
    </div>
    <script type="text/javascript">
    jQuery(function() {
        jQuery("[data-fancybox]").fancybox({
            protect: true,
            loop : false,
            thumbs : {
                axis : 'x',
                autoStart: true,
                hideOnClose: true
            },
            margin : [44,0,22,0]
        });
        jQuery("#estatebud-slider-full").slick({
            dots: true,
            infinite: true,
            speed: 500,
            fade: true,
            cssEase: 'linear',
            arrows: true,
            nextArrow: "<div class='estatebud-slick-next'><i class='fa fa-chevron-right'></i></div>",
            prevArrow: "<div class='estatebud-slick-prev'><i class='fa fa-chevron-left'></i></div>",
            dotsClass: "estatebud-slick-dot",
        });
    });
    </script>
    <?php endif; ?>
    <div class="estatebud-row">
        <div class="estatebud-container estatebud-header-container">
            <div class="estatebud-half-left">
                <div class="estatebud-property-title">
                    <?php echo estatebud_get_property_title($details); ?>
                </div>
                <div class="estatebud-property-location"><?php echo estatebud_get_locations_details($details); ?></div>
            </div>
            <div class='estatebud-half-right'>
                <div class="estatebud-property-price">
                    <?php echo estatebud_get_currency_details($estatebud_api, $details) ?>
                </div>
            </div>
        </div>
    </div>
    <div class="estatebud-row estatebud-details">
        <div class="estatebud-container">
            <div class="estatebud-left">
                <div class="estatebud-block estatebud-title estatebud-heading">
                    <div class="estatebud-title-text" style='flex: 1'><?php echo __("Property Description", "estatebud"); ?></div>
                    <div class="estatebud-id-text estatebud-align-right" style='flex: 1'><?php _e("#ID", "estatebud");?> <?php echo $property_id; ?></div>
                </div>
                <div class="estatebud-block">
                    <div class="estatebud-property-infos">
                        <?php estatebud_property_infos($estatebud_api, $details);?>
                    </div>
                    <?php if(property_exists($details, "description")) : ?>
                    <div class="estatebud-description">
                        <?php echo nl2br(estatebud_get_translation_details($details->description)); ?>
                    </div>
                    <?php endif;?>
                    </div>
                <?php if (property_exists($details, "distances") && count($details->distances) > 0) : ?>
                <div class="estatebud-block estatebud-title">
                    <div class="estatebud-title-text"><?php echo __("Distances", "estatebud"); ?></div>
                </div>
                <div class="estatebud-block">
                    <div class="estatebud-distances">
                        <?php foreach ($details->distances as $key => $distance) : ?>
                        <div class="estatebud-distance"><?php echo estatebud_get_distance_icon($key); ?><b><?php echo estatebud_remove_parenthesis(estatebud_get_translation_details($distance->translations)); ?>: </b> <?php echo estatebud_get_distance_km(floatval($distance->value)); ?></div>
                        <?php endforeach; ?>
                    </div>
                </div>
                <?php endif;?>
                <?php if (property_exists($details, "floorplans") && count($details->floorplans) > 0) : ?>
                <div class="estatebud-block estatebud-title">
                    <div class="estatebud-title-text"><?php echo __("Floor Plans", "estatebud"); ?></div>
                </div>
                <div class="estatebud-block">
                    <div class="estatebud-floorplans">
                        <?php foreach ($details->floorplans as $key => $floorplan) : ?>
                        <a data-fancybox="gallery-2" class='estatebud-floorplan' href='<?php echo $floorplan->large;?>'>
                            <img src="<?php echo $floorplan->thumb;?>">
                        </a>
                        <?php endforeach; ?>
                    </div>
                    <script>
                        jQuery('.estatebud-floorplans').slick({
                            infinite: true,
                            slidesToShow: 3,
                            slidesToScroll: 1,
                        responsive: [
                            {
                                breakpoint: 1024,
                                settings: {
                                    slidesToShow: 3,
                                    slidesToScroll: 1,
                                    infinite: true
                                }
                            },
                            {
                                breakpoint: 600,
                                settings: {
                                    slidesToShow: 2,
                                    slidesToScroll: 1
                                }
                            },
                            {
                                breakpoint: 480,
                                settings: {
                                    slidesToShow: 1,
                                    slidesToScroll: 1
                                }
                            }
                        ]
                        });
                    </script>
                </div>
                <?php endif; ?>
                <?php if (property_exists($details, "videos") && count($details->videos) > 0) : ?>
                <div class="estatebud-block estatebud-title">
                    <div class="estatebud-title-text"><?php echo __("Videos", "estatebud"); ?></div>
                </div>
                <div class="estatebud-block">
                    <div class="estatebud-videos">
                        <?php foreach ($details->videos as $key => $video) :
                            if($video->platform == 'youtube') :
                            ?>
                        <div class="estatebud-video">
                            <iframe id="ytplayer" type="text/html" width="640" height="360" src="//www.youtube.com/embed/<?php echo $video->platform_id;?>?autoplay=0&hl=<?php echo get_locale();?>&origin=<?php echo $_SERVER["HTTP_HOST"];?>" frameborder="0" allowfullscreen></iframe>
                            <br><br>
                        </div>
                            <?php endif; endforeach; ?>
                    </div>
                </div>
                <?php endif; ?>
                <?php
                    $estatebud_gmaps_api_key = trim(get_option("estatebud_gmaps_api_key",""));
                    if($estatebud_gmaps_api_key != "") :
                        if(property_exists($details,"location_lat") && property_exists($details,"location_lng")) :
                            $lat = trim($details->location_lat);
                            $lng = trim($details->location_lng);
                            if(!empty($lat) && !empty($lng)) :
                ?>
                    <div class="estatebud-block" style="margin-top: 15px; padding: 0">
                        <div class="estatebud-map" id="estatebud-map" style="width: 100%"></div>
                    </div>
                <script type='text/javascript'>
                    var estatebud_map;
                    function estatebud_createMap() {
                        console.log("map created");
                        <?php
                            echo "var lat = " . $details->location_lat . ", lng = " . $details->location_lng . ";";
                        ?>
                        var mapProp= {
                            center:new google.maps.LatLng(lat, lng),
                            zoom:15,
                        };
                        var estatebud_map = new google.maps.Map(document.getElementById("estatebud-map"), mapProp);
                        var marker = new google.maps.Marker({
                            position: new google.maps.LatLng(lat, lng),
                            map:estatebud_map
                        });
                    }
                </script>
                <?php       endif;
                        endif;
                    endif;
                ?>
            </div>
            <div class="estatebud-right">
                <?php if (property_exists($details, "facilities") && count($details->facilities) > 0) : ?>
                    <div class="estatebud-block estatebud-title">
                        <div class="estatebud-title-text"><?php echo __("Facilities", "estatebud"); ?></div>
                    </div>
                    <div class="estatebud-block">
                        <div class="estatebud-facilities">
                            <ul>
                            <?php foreach ($details->facilities as $key => $facility) : ?>
                            <li class="estatebud-facility"><b><?php echo estatebud_get_translation_details($facility->translations); ?><?php echo $facility->value == "1" ? "</b>" : ":</b>" . $facility->value; ?></li>
                            <?php endforeach; ?>
                            </ul>
                        </div>
                    </div>
                    <?php endif; ?>
                    <?php if (property_exists($details, "features") && count($details->features) > 0) : ?>
                    <div class="estatebud-block estatebud-title">
                        <div class="estatebud-title-text"><?php echo __("Features", "estatebud"); ?></div>
                    </div>
                    <div class="estatebud-block">
                        <div class="estatebud-features">
                            <ul>
                            <?php foreach ($details->features as $key => $feature) : ?>
                            <li class="estatebud-feature"><b><?php echo estatebud_get_translation_details($feature->translations); ?></b></li>
                            <?php endforeach; ?>
                            </ul>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="estatebud-block estatebud-title estatebud-heading">
                    <div class="estatebud-title-text"><?php echo __("Contact", "estatebud"); ?></div>
                </div>
                <div class="estatebud-block estatebud-contact">
                    <?php echo __("Have any questions about the property?", "estatebud"); ?>
                    <div class="estatebud-contact-highlight"><?php echo __("We're ready to help!", "estatebud"); ?></div>
                    <div class="estatebud-contact-form">
                        <form method="post" onsubmit="return false;">
                            <input type="hidden" name="action" value="estatebud_send_contact">
                            <input type="hidden" name="property_id" value="<?php echo $property_id; ?>">
                            <input type="hidden" name="contact_security" value="<?php echo wp_create_nonce("estatebud_send_contact"); ?>">
                            <input type="text" required name="name" placeholder="<?php _e("Name", "estatebud"); ?>" /><br>
                            <input type="email" required name="email" placeholder="<?php _e("E-mail", "estatebud"); ?>" /><br>
                            <input type="text" required name="phone" placeholder="<?php _e("Phone", "estatebud"); ?>" /><br>
                            <textarea required name="message" placeholder="<?php _e("Message", "estatebud"); ?>"></textarea>
                            <?php
                            $use_recaptcha = get_option("estatebud_use_recaptcha", false);
                            if($use_recaptcha) :
                                $site_key = get_option("recaptcha_sitekey_value", null); ?>
                                <div class="g-recaptcha" data-sitekey="<?php echo $site_key; ?>"></div>
                            <?php endif;
                                $privacy_policy = trim(get_option("estatebud_email_privacy_policy_url", ""));
                                if(!empty($privacy_policy)) : ?>
                                <div class="estatebud-contact-pp-url"><input type='checkbox' class='styled_checkbox_small' id="estatebud_privacy_policy_check" name='estatebud-privacy-policy-accepted'><label for="estatebud_privacy_policy_check"><?php printf(__('I agree my details are processed in accordance with the <a href="%s" target="_blank">Privacy Policy</a>', "estatebud"), $privacy_policy);?></label></div>
                                <?php endif; ?>
                            <button type="submit" class='estatebud-contact-form-submit'><?php _e("Send Message", "estatebud"); ?><i class='icon-hand-peace-o'></i></button>
                            <div class='contact-form-message'></div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="estatebud-row">
        <div class="estatebud-container estatebud-share">
            <div class="estatebud-share-title"><?php _e("Share this property", "estatebud"); ?></div>
            <div class="estatebud-share-buttons"></div>
        </div>
    </div>
</div>