<?php

function paginate ($base_url, $query_str, $total_pages,
                    $current_page, $paginate_limit)
{
    // Array to store page link list
    $page_array = array ();
    // Show dots flag - where to show dots?
    $dotshow = true;
    // walk through the list of pages
    for ( $i = 1; $i <= $total_pages; $i ++ )
    {
       // If first or last page or the page number falls
       // within the pagination limit
       // generate the links for these pages
       if ($i == 1 || $i == $total_pages ||
             ($i >= $current_page - $paginate_limit &&
             $i <= $current_page + $paginate_limit) )
       {
          // reset the show dots flag
          $dotshow = true;
          // If it's the current page, leave out the link
          // otherwise set a URL field also
          if ($i != $current_page)
              $page_array[$i]['url'] = $base_url . "?" . $query_str .
                                         "=" . $i;
          $page_array[$i]['text'] = strval ($i);
       }
       // If ellipses dots are to be displayed
       // (page navigation skipped)
       else if ($dotshow == true)
       {
           // set it to false, so that more than one
           // set of ellipses is not displayed
           $dotshow = false;
           $page_array[$i]['text'] = "...";
       }
    }
    // return the navigation array
    return $page_array;
}

$total_items = $estatebud_list->query->properties_total_count;

if (isset($_GET["offset"])) {

    $offset = intval($_GET["offset"]);
    $limit = intval($_GET["limit"]) ? intval($_GET["limit"]) : 12;

    $total_pages = floor($total_items / $limit) + 1;
    $current_page = floor($offset / $limit) + 1;
    $previous_page = $current_page - 1;
    $next_page = $current_page + 1;

    $links = paginate("", "", $total_pages, $current_page, 3);

    $myPrev = "<a class='estatebud-pagelink' href='javascript:void(0);' data-offset='" . (($previous_page - 1) * $limit) . "'><i class='icon-left-big'></i></a>";
    $myNext = "<a class='estatebud-pagelink' href='javascript:void(0);' data-offset='" . (($next_page - 1) * $limit) . "'><i class='icon-right-big'></i></a>";

    if ($next_page > $total_pages) $myNext = "";

    if ($previous_page < 1) $myPrev = "";

echo "<nav data-pagination style='display: flex;text-align: center;align-items: center;justify-content: center;'>";

    echo $myPrev;
    echo "<ul>";
    foreach($links as $link){
        $i = intval($link["text"]);
        if ($i > 0 && $current_page == $i) {
            echo "<li class='current'>";
            echo $i . " ";
        } else if($link["text"] == "...") {
            echo "<li style='pointer-events: none; background: transparent'>...</li>";
        } else if ($i > 0) {
            echo "<li>";
            echo "<a class='estatebud-pagelink' href='javascript:void(0);' data-offset='" . (($i - 1) * $limit) . "'>" . $i . "</a>";
        }
        echo "</li>";
    }
    echo "</ul>";
    echo $myNext;

echo "</nav>";
}
?>