<?php require_once "estatebud-public-details-functions.php"; ?>
<div class="estatebud-listing <?php echo get_option("estatebud_listing_type","");?>">
    <div class="estatebud-row">
    <?php
    if(isset($estatebud_list) && property_exists($estatebud_list, "query") && $estatebud_list->query->properties_total_count > 0 && property_exists($estatebud_list, "results")){
    $items_shown = 0;
    foreach($estatebud_list->results as $id => $data){?>
        <div class="estatebud-column">
            <?php $link = home_url( get_option("estatebud_property_page_id", null) ) . "/" . intval($id, 10);?>
            <a href="<?php echo $link;?>">
                <div class="estatebud-property">
                    <div class="estatebud-property-block-image">
                        <div class="estatebud-property-image">
                        <?php if(property_exists($data, "buyer")) : ?>
                            <div class="estatebud-property-sold"><?php _e("Sold", "estatebud");?></div>
                        <?php endif; ?>
                        <?php if(property_exists($data, "tenant")) : ?>
                            <div class="estatebud-property-rented"><?php _e("Rented", "estatebud");?></div>
                        <?php endif; ?>
                        <?php if(property_exists($data, "images") && count($data->images) > 0) : ?>
                            <img src='<?php echo $data->images[0]->thumb;?>'>
                        <?php else:
                            $placeholder = get_option("estatebud_placeholder_image", false);
                            if($placeholder === false){
                                $placeholder = plugin_dir_url(__FILE__) . "../assets/placeholder.png";
                                update_option("estatebud_placeholder_image", $placeholder);
                            }
                            echo "<img src='$placeholder'>";
                        endif; ?>
                        </div>
                    </div>
                    <div class='estatebud-property-block-info'>
                        <?php
                            echo estatebud_get_property_title($data);
                        ?>
                        <?php
                            /* location block */
                            $location = estatebud_get_locations_details($data);
                            $location = trim($location);
                            echo "<div class='estatebud-property-location'>$location</div>";
                            ?>
                        <?php
                            /* tags block */
                            $tags = "";
                            if(property_exists($data, "titledeed") && $data->titledeed->value == "yes") $tags .= "<div class='estatebud-property-tag estatebud-property-tag-title-deed'>". __("Title Deed", "estatebud") . "</div>&nbsp;";
                            if(property_exists($data, "features")){
                                if(property_exists($data, "seafront") && $data->features->seafront->value == "1") $tags .= "<div class='estatebud-property-tag estatebud-property-tag-sea-front'>". __("Sea Front", "estatebud") . "</div>&nbsp;";
                                if(property_exists($data, "seaview") && $data->features->seaview->value == "1") $tags .= "<div class='estatebud-property-tag estatebud-property-tag-sea-view'>" . __("Sea View", "estatebud"). "</div>&nbsp;";
                            }
                            if(property_exists($data, "originalprice")) $tags .= "<div class='estatebud-property-tag estatebud-property-tag-reduced'>".__("Reduced", "estatebud")."</div>&nbsp;";
                            if(property_exists($data, "labels")){
                                foreach($data->labels as $label){
                                    if($label->public){
                                        $tags .= "<div class='estatebud-property-tag' style='background: #$label->color'>".__($label->name, "estatebud")."</div>&nbsp;";
                                    }
                                }
                            }
                            $tags = trim($tags);
                            if($tags != "") echo "<div class='estatebud-property-tags'>$tags</div>";
                        ?>
                        <div class="estatebud-property-price-info">
                            <?php echo estatebud_get_currency_details($estatebud_api, $data);?>
                        </div>
                        <div class="estatebud-property-footer">
                            <div class="estatebud-property-attrs">
                            <?php if(property_exists($data, "category") && $data->category != "land") : ?>
                                <?php if(property_exists($data, "data") && property_exists($data->data, "bedrooms")) : ?>
                                    <div class="estatebud-property-attr">
                                        <i class="icon-bed"></i>
                                        <?php echo intval($data->data->bedrooms) . "&nbsp;<span class='listing-visible'>" . __("Bedrooms", "estatebud") . "</span>";?>
                                    </div>
                                <?php else: ?>
                                    <div class="estatebud-property-attr">
                                    <i class="icon-bed"></i>&nbsp;-&nbsp;
                                    </div>
                                <?php endif; ?>
                                <?php if(property_exists($data, "data") && property_exists($data->data, "bathrooms")) : ?>
                                    <div class="estatebud-property-attr">
                                        <i class="icon-bath"></i>
                                        <?php echo intval($data->data->bathrooms) . "&nbsp;<span class='listing-visible'>" . __("Bathrooms", "estatebud") . "</span>";?>
                                    </div>
                                <?php else: ?>
                                    <div class="estatebud-property-attr">
                                    <i class="icon-bath"></i>&nbsp;-&nbsp;
                                    </div>
                                <?php endif; ?>
                                <?php if(property_exists($data, "areas") && property_exists($data->areas, "coveredm2")) : ?>
                                <div class="estatebud-property-attr">
                                    <i class="icon-resize-full-alt"></i>
                                    <?php echo intval($data->areas->coveredm2->value) . "m²&nbsp;<span class='listing-visible'>" . __("Covered Area", "estatebud") . "</span>"; ?>
                                </div>
                                <?php else: ?>
                                <div class="estatebud-property-attr">
                                    <i class="icon-resize-full-alt"></i>&nbsp;-&nbsp;
                                </div>
                                <?php endif; ?>
                            <?php else:?>
                                <?php if(property_exists($data, "areas") && property_exists($data->areas, "plotm2")) : ?>
                                    <div class="estatebud-property-attr">
                                        <i class="icon-resize-full-alt"></i>
                                        <?php echo intval($data->areas->plotm2->value) . "m²&nbsp;<span class='listing-visible'>" . __("Covered Area", "estatebud") . "</span>"; ?>
                                    </div>
                                    <?php else: ?>
                                    <div class="estatebud-property-attr">
                                        <i class="icon-resize-full-alt"></i>&nbsp;-&nbsp;
                                    </div>
                                <?php endif; ?>
                            <?php endif;?>
                            </div>
                            <div class="estatebud-property-price estatebud-price-plus">
                                <i class="fa fa-plus"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </a>
        </div>
    <?php
            $items_shown++;
            if(isset($is_widget) && $is_widget && $items_shown == $property_limit) break;
        }
    }else{
        echo '<div class="estatebud-column-full">';
        echo __("No properties found for this query. Please clear your filters or try a new query.", "estatebud");
        echo '</div>';
    } ?>
    <?php
    if(!isset($is_widget) || !$is_widget) require "estatebud-public-listing-pagination.php";?>
    </div>
</div>
